import { ICursersRepository } from "@modules/curses/repositories/ICursersRepository";
import { injectable, inject } from "tsyringe";

@injectable()
class FindManyCurserUseCase {
    constructor(
        @inject('CursersRepository')
        private cursersRepository: ICursersRepository
    ) {}

    async execute() {
        const cursers = await this.cursersRepository.findAllCursers()
        return cursers
    }
}

export {FindManyCurserUseCase}