import { Forum } from "@prisma/client";
import { ICreateForumsDTO } from "../dtos/ICreateForumDTO";

interface IForumRepository {
    create({ title, description }: ICreateForumsDTO): Promise<Forum>
    findById(id: string): Promise<Forum>
    findByTitle(title: string): Promise<Forum>
    deleteForum(id: string): Promise<Boolean>
    findAllForuns(): Promise<Forum[]>
}

export { IForumRepository }