import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { DeleteMessageUseCase } from './DeleteMessageUseCase';

class DeleteMessageController {
    async handle(request: Request, response: Response) {
        const { id } = request.params
        const deleteMessageUseCase = container.resolve(DeleteMessageUseCase)

        await deleteMessageUseCase.execute(id)

        return response.status(200).json({ "message": "Deleted" })
    }
}

export { DeleteMessageController }