import { Request, Response } from 'express';
import { container } from 'tsyringe';

import { CreateUserUseCase } from './CreateUserUseCase';

class CreateUserController {
    async handle(request: Request, response: Response) {
        const { name, email, password, cpf, curriculo } = request.body;
        const createUserUseCase = container.resolve(CreateUserUseCase);

        const user = await createUserUseCase.execute({
            name,
            email,
            password,
            cpf,
            curriculo,
        });

        return response.status(200).json(user);
    }
}

export { CreateUserController };
