import { Request, response, Response } from 'express';
import { container } from 'tsyringe';
import { DeleteUserUseCase } from './deleteUserUseCase';

class DeleteUserController {
    async handle(request: Request, response: Response) {
        const { id } = request.params;
        const deleteUserUseCase = container.resolve(DeleteUserUseCase)

        await deleteUserUseCase.execute(id)

        return response.status(200).json({ "message": "Deleted" })
    }


}


export {DeleteUserController}