import { ICalendarsRepository } from '@modules/calendar/repositories/ICalendarsRepository';
import { CalendarRepository } from '@modules/calendar/repositories/implementations/CalendarRepository';
import { ICursersRepository } from '@modules/curses/repositories/ICursersRepository';
import { CurserRepository } from '@modules/curses/repositories/implementations/CursersRepository';
import { IForumRepository } from '@modules/foruns/repositories/IForumRepository';
import { ForumRepository } from '@modules/foruns/repositories/implementation/ForumRepository';
import { IInstitutionsRepository } from '@modules/institutions/repositories/IInstitutionsRepository';
import { InstitutionsRepository } from '@modules/institutions/repositories/implementation/InstitutionsRepository';
import { IMessagesRepository } from '@modules/messages/repositories/IMessagesRepository';
import { MessageRepository } from '@modules/messages/repositories/implementation/MessagesRepository';
import { UserRepository } from '@modules/users/repositories/implementations/UsersRepository';
import { IUsersRepository } from '@modules/users/repositories/IUsersRepostory';
import { container } from 'tsyringe';

container.registerSingleton<IUsersRepository>(
    'UsersRepository',
    UserRepository,
)

container.registerSingleton<ICalendarsRepository>(
    'CalendarsRepository',
    CalendarRepository,
)

container.registerSingleton<ICursersRepository>(
    'CursersRepository',
    CurserRepository,
)

container.registerSingleton<IInstitutionsRepository>(
    'InstitutionsRepository',
    InstitutionsRepository,
)

container.registerSingleton<IForumRepository>(
    'ForumRepository',
    ForumRepository,
)

container.registerSingleton<IMessagesRepository>(
    'MessageRepository',
    MessageRepository,
)